Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb.common.v2
Class TimePeriodType

    java.lang.Object
      be.vlaanderen.mercurius.vsb.common.v2.TimePeriodType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:54:11+02:00",
               comments="JAXB RI v2.3.6")
    public class TimePeriodType

extends Object
implements Serializable

used: Common.xsd (ConsultViewWithTimePeriodRequest), ConsultAffiliationView.xsd, ConsultContributionObligationView.xsd, ConsultContributionView.xsd, ConsultExemptionView.xsd, ConsultFineView.xsd, ConsultMutationView.xsd, ConsultSuspensionFineYearView.xsd

Java class for TimePeriodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TimePeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StartYear" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}VSBYearType" minOccurs="0"/>
             <element name="EndYear" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}VSBYearType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TimePeriodType()`

Method Summary
`Integer` | `getEndYear()` Gets the value of the endYear property.
`Integer` | `getStartYear()` Gets the value of the startYear property.
`void` | `setEndYear(Integer value)` Sets the value of the endYear property.
`void` | `setStartYear(Integer value)` Sets the value of the startYear property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimePeriodType

    public TimePeriodType()

Method Detail

### getStartYear

    public Integer getStartYear()

  Gets the value of the startYear property.

  Returns:
    possible object is `Integer`

### setStartYear

    public void setStartYear(Integer value)

  Sets the value of the startYear property.

  Parameters:
    `value` - allowed object is `Integer`

### getEndYear

    public Integer getEndYear()

  Gets the value of the endYear property.

  Returns:
    possible object is `Integer`

### setEndYear

    public void setEndYear(Integer value)

  Sets the value of the endYear property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.